=== debian/changelog ===
sumo (1.1.0+dfsg1-1) unstable; urgency=medium

  [ Michael Behrisch ]
  * [b063b03] Update d/copyright

  [ Anton Gladky ]
  * [a9773da] Update patches
  * [d520897] Use libxerces-c2-dev as build-depends
  * [88bcbf6] Update install files
  * [e0d8261] Use compat-level 11
  * [23d078f] Remove some files from the source
  * [2372382] Minor fixes
  * [cc81cb9] Trim trailing whitespace.
  * [c2b2305] Use secure copyright file specification URI.
  * [14aae51] Drop unnecessary dependency on dh-autoconf.
  * [f16a0e7] New upstream version 1.1.0+dfsg1

 -- Anton Gladky <gladk@debian.org>  Sun, 03 Feb 2019 10:17:52 +0100

sumo (0.32.0+dfsg1-2) unstable; urgency=medium

  * [6b65aa2] Fix FTBFS with GCC-8. (Closes: #897872)
  * [a1ad134] Update VCS-field
  * [005fdea] Set Standards-Version to 4.2.0

 -- Anton Gladky <gladk@debian.org>  Mon, 27 Aug 2018 12:28:23 +0200

sumo (0.15.0~dfsg-1) unstable; urgency=low

  * Initial packaging in Debian. (Closes: #669160)

 -- Anton Gladky <gladky.anton@gmail.com>  Mon, 23 Apr 2012 19:17:01 +0200

sumo (0.14.0-1) unstable; urgency=low

  * New upstream release.

 -- Michael Behrisch <behrisch@users.sourceforge.net>  Thu, 12 Jan 2012 23:46:43 +0100

sumo (0.13.1-1) unstable; urgency=low

  * New upstream release.

 -- Michael Behrisch <behrisch@users.sourceforge.net>  Tue, 01 Nov 2011 10:24:24 +0100

sumo (0.13.0-1) unstable; urgency=low

  * New upstream release.

 -- Michael Behrisch <behrisch@users.sourceforge.net>  Wed, 13 Jul 2011 16:58:57 +0200

sumo (0.12.3-1) unstable; urgency=low

  * New upstream release.

 -- Michael Behrisch <behrisch@users.sourceforge.net>  Wed, 13 Apr 2011 19:28:57 +0200

sumo (0.10.2-1) unstable; urgency=low

  * New upstream release.

 -- Michael Behrisch <behrisch@informatik.hu-berlin.de>  Mon, 16 Mar 2009 22:00:47 +0100

sumo (0.10.1-1) unstable; urgency=low

  * Update

 -- Michael Behrisch <behrisch@informatik.hu-berlin.de>  Sun, 15 Feb 2009 22:34:33 +0200

sumo (0.9.10-1) unstable; urgency=low

  * Initial Release

 -- Michael Behrisch <behrisch@informatik.hu-berlin.de>  Thu, 23 Oct 2008 23:04:33 +0200
