=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

no_hardening_all_archs = mips mipsel

ifeq (,$(filter $(DEB_HOST_ARCH),$(no_hardening_all_archs)))
  export DEB_BUILD_MAINT_OPTIONS = hardening=+all
endif

DPKG_EXPORT_BUILDFLAGS = 1

export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export LIBS := -lgl2ps -lGL -lGLU -lglut

include /usr/share/dpkg/buildflags.mk

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr

override_dh_auto_build-indep:
	$(MAKE) doxygen
	$(MAKE) pydoc
	#Clean some unneeded files and fix permissions
	find ./tools -name '*.pyc' -print0 | xargs -0 rm -f
	rm -rf ./tools/contributed/traci4j/COPYING
	rm -rf ./tools/contributed/trafficmodeler/src/resources/icons/Thumbs.db
	rm -rf ./tools/contributed/traci4j/.gitignore
	rm -rf ./tools/contributed/traas/license.txt
	rm -rf ./tools/contributed/traas/javadoc
	rm -rf ./tools/contributed/traci4matlab/license.txt
	rm -rf ./tools/contributed/trafficmodeler/LICENSE.txt
	rm -rf ./tools/webWizard/index.html
	rm -rf ./tools/game/sounds/license.txt

override_dh_auto_build-arch:
	dh_auto_build -a
	$(MAKE) man

override_dh_auto_install:
	dh_auto_install
	find . -type d -name "__pycache__" -delete

override_dh_auto_test-arch:
	mkdir $(CURDIR)/tests_auto
	cd $(CURDIR)/tests_auto; cp ../docs/examples/sumo/hokkaido/* ./; ../bin/sumo -b 0 -e 10000 -n net.net.xml -r input_routes.rou.xml -c hokkaido.sumocfg  --summary-output sum.out
	cat $(CURDIR)/tests_auto/sum.out
	rm -rf $(CURDIR)/tests_auto
